Edit

Share via


Tags - Delete Tag

Delete the specified tag.

Permissions

The caller must have administrator rights such as Fabric administrator.

Required Delegated Scopes

Tenant.ReadWrite.All.

Limitations

Maximum 10 requests per one minute per principal.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

DELETE https://api.fabric.microsoft.com/v1/admin/tags/{tagId}

URI Parameters

Name In Required Type Description
tagId
path True

string (uuid)

The tag ID.

Responses

Name Type Description
200 OK

Tag was deleted successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred

  • EntityNotFound - Tag ID does not exist

Examples

Delete a tag example

Sample request

DELETE https://api.fabric.microsoft.com/v1/admin/tags/97dd1d38-a4c6-41ed-bc4f-1e383f8ddd0f

Sample response

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.